@import '../../../old-styles/index.scss';
@import '../../../styles/utilities/mixins';

/**
 * Different states
 */
%error-state {
  &.error {
    border: 1px solid #D42F30;
    box-shadow: 0 0 0 0.2rem #d42f304d;

    & > .close {
      color: #D42F30;
    }
  }
}

%success-state {
  &.success {
    border: 1px solid #208837;
    box-shadow: 0 0 0 0.2rem #2088374d;
  }
}

/**
 * Text pill component
 */
.text-pill-component {
  @extend %error-state;
  @extend %success-state;
  display: flex;
  align-items: center;
  padding: 9px 15px;
  border: 1px solid #e3e4e4;
  border-radius: 30px;

  & > .icon {
    font-size: 18px;
    margin-right: 6px;

    &:before {
      color: #00171f;
    }
  }

  & > .text {
    @include text-overflow(400px);
    font: 400 16px/19px Lato;
    color: #263940;
  }

  & > .close {
    display: inline-block;
    margin-left: auto;
    font-size: 12px;
    cursor: pointer;
    opacity: 1;
    color: #76797B;
  }
}
